GNU bug report logs - #24085
25.1.50; `make-frame' given `top' param creates frame with ~10x smaller `top'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Drew Adams <drew.adams@HIDDEN>; dated Wed, 27 Jul 2016 04:50:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 24085 <at> debbugs.gnu.org:


Received: (at 24085) by debbugs.gnu.org; 28 Jul 2016 19:07:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 28 15:07:45 2016
Received: from localhost ([127.0.0.1]:49623 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSqen-0005W8-Eq
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 15:07:45 -0400
Received: from mout.gmx.net ([212.227.15.15]:53687)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1bSqem-0005Vx-Gg
 for 24085 <at> debbugs.gnu.org; Thu, 28 Jul 2016 15:07:44 -0400
Received: from [192.168.1.101] ([212.95.7.84]) by mail.gmx.com (mrgmx002) with
 ESMTPSA (Nemesis) id 0Lgql4-1aykPw242w-00oJA7;
 Thu, 28 Jul 2016 21:07:34 +0200
Message-ID: <579A57F4.5020401@HIDDEN>
Date: Thu, 28 Jul 2016 21:07:32 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>, 24085 <at> debbugs.gnu.org
Subject: Re: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
References: <0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
 <57987CBA.2060405@HIDDEN> <3657859c-03f1-4eca-9a78-a9be0dee6552@default>
 <5799C8F4.6060205@HIDDEN> <3a0be54b-1373-4ab3-b560-3891a2e5035e@default>
In-Reply-To: <3a0be54b-1373-4ab3-b560-3891a2e5035e@default>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:mpC3N77e6WoBiYiCJIf1SpKjjkx4DRrdYLu6pneL8tTp4kz2VyP
 NF9/WckxXfDc5uhgLgE6lI8ZWeeUztOaC/xsS8FG5PwDjBTKavrsBQsNEntPUizRY/rurHg
 RYb9x/gBq2raQO5rpvIuOxtPYzWrJVv/IJRioNzeYoSM674lUTt4Ih/9pcNx/Au9pgoOPpy
 WBcJcLwQAWymjlH3iQHCw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:sY5HgW89Xz4=:kooiKf7OMs57Gie9GArJFa
 DOEV/pRmh6t7+fge44WTfNssfe0ktHhP36sunpHophapdaNwRtOwS1ozVh2nW8TOUekxZ39bJ
 DTkg3cSE6LD48x2A2lERQ2FwD9Fuwzu7iXIr9LIu7ki6svePHIEWQT/rHNUmKd2iusYIQk4Ga
 dLr/h9jsuTPi0go83ga8tqFknAzNrjLgocGevvGDbh0gm5qiaMnV91qyevy5FBd1lvDfPP/1G
 czrLnxS7ShQ4OVFjzYbGLt0FtE6wOx3AaO6Qui4zh3w5BzpNh+nvx/quzV7SSXk2UqANEy9Mq
 H0iUgJh5qb75K9mFJ4qhuldKMaQxYyDNyvSU2tddMgDJseqKs1Bhwd19LdaMCjL2FS9l9QD9X
 WJIh47lSBokaU6cMV+oRnZhJPh92L7IQjTmSFqjJTRfCXoDUfxj9Tmc75gwmyjjC5y7pPyX8w
 XIKsvAEvaM7DksVO10KNUH1YQcPPnKk0RiGJklkNFxGQOfldlSt4OmmwEySWOiu0XCRA5SbN+
 3AzZ52ZuU5sRWZYui0RGAaLieYK04FNxFhJCcD7OSF1CWQ+25rvnyR37abS3gsqYGKuYUhWjF
 aJagjwX9WAUd0GW9U86LYX0uRT+oLJYuCnCvHFxRJxkXvYafBuR/p7xYQfQ1ZV9ZIFlt8IeqC
 7KUGcEOaY6PPWf1G6+4sVnTkrSfkt5RLJWFl74X4TRQaCk2MQhA4ZV0ZyrAWeG5DPXvfPt/oC
 5lZjSnQUTQJyaQk/1x/6JJ+PxOF3A3/uJH+ZxGV2F3sWZ5isAPDxML6WrDHooPUCSgYmVVU10
 YS+tAJ8GlJtpoO/ZngZxl3M4St4CQ==
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 24085
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

 > 2. I thought that the code change responsible for this
 > (intentional) regression was the one you cited from 2006,
 > and I thought that was only for MS Windows (w32term.c), so
 > I thought that change would not have any effect on other
 > platforms.

There was no need.  The behavior on GNU/Linux preceded that on MS
Windows.  I can't tell about the behavior on other systems.

 > 3. Refusing to create a frame that is completely off screen
 > is one thing.  Refusing to create a frame that is even slightly
 > off screen (e.g. echo area) is another thing.  Is the former or
 > the latter what you were referring to (by "most window
 > managers...")?

Here xfce positions the frame exactly like Windows does, right above the
taskbar.  I have no idea whether this similarity was intentional.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at 24085 <at> debbugs.gnu.org:


Received: (at 24085) by debbugs.gnu.org; 28 Jul 2016 19:07:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 28 15:07:20 2016
Received: from localhost ([127.0.0.1]:49620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSqeO-0005VX-7X
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 15:07:20 -0400
Received: from mout.gmx.net ([212.227.15.19]:55145)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1bSqeL-0005VI-S7
 for 24085 <at> debbugs.gnu.org; Thu, 28 Jul 2016 15:07:18 -0400
Received: from [192.168.1.101] ([212.95.7.84]) by mail.gmx.com (mrgmx001) with
 ESMTPSA (Nemesis) id 0M1Wcz-1b9Oqp2IIr-00tR1h;
 Thu, 28 Jul 2016 21:07:06 +0200
Message-ID: <579A57D7.4050302@HIDDEN>
Date: Thu, 28 Jul 2016 21:07:03 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
References: <0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>	<57987CBA.2060405@HIDDEN>	<3657859c-03f1-4eca-9a78-a9be0dee6552@default>
 <5799C8F4.6060205@HIDDEN> <83wpk5rf50.fsf@HIDDEN>
In-Reply-To: <83wpk5rf50.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:DL9oR1O0Xr6iWUwjST/mnaowylNsvlZIxRqRgCTU7tR7KdFZgox
 XmXIkk19SdtzdvD5Rs69L5wYJBU9J6xjg2Jb+Z6jkxFPqnzj57v7lUGxaMVjknAY+OLV0Yv
 bgh3Ydg2/MUbzt7ChtJgr+lcCr7K0FvebR1+qM7CawC7UKYc+TM4BDxMhWbVFG1vAra6V9a
 85lWag16gCvlCtYF4pu7g==
X-UI-Out-Filterresults: notjunk:1;V01:K0:X7Kahtbo7ic=:H7Hy1qYZqrIqUoyVrUxp7W
 1uU/rBPYpsAxtA/tgaPcuptmgf5leXdp1wa6g4goujLKP8txqymgWmZU9eO4+M9XYUCuhEvaT
 PAnBX5iAP2j4Kagiplj6c6GPEdIG1myJnW4s9mz3SOzyugN4fXmcZ2YXbWzTdrF8SsbHgAH06
 UBglfHfUku78AXdMP7ATav5vbvj2/y2UO2a+s+QncPSS7kUvQMh2ZQ3jT0kl6K5qet7x90kGt
 hEODKTjET1VLwIBv8t8BF674KL8R2hkQDwTU22Cp9vSstLiAuv19zQiha9txaLFn2wm0Eou9S
 YcVBiTBSHZueUo3DGvL+kaDzYfFKQfVnUwbw/1M59S+di940gwkVewlYAUZKjfz7eQG0lQ+0J
 hIhDpihiyrYbh6N0b9h2CkRX9D7hjLrZHi++klJqe4ihQEogWw/2irgLNehI2S8uNXrxuvP6q
 H3DQyVxt/DejndbK6T7qyfZTdE0Y/2XSHKjLVT+UqjcaAPEibxrCAKGPNDBvVmF3pSOI3CmUS
 DH7qXlgg4IMKr4MnDHaiGCtgxOArobbP9me34LkZfZYADrgXbMUz34YCwkAURYZ6ukZpIezKZ
 w8oFfixs0R9XF7279IfWgCuktBktP+vHTRjdV32DStFv8H9D4yUzsk7GUzVUPDzQepVnpnLqO
 E7EVgfxIOkAhUaYNk7EQA/Iz2nbuGDwH+L3UonZdOlFv1Pdf9YsloFBEuNh6K39Xf8DTVlx4Q
 OLTX3pH34dGMsH65Ae3sxi/XyY0hypnAZoXoddLXHnSRdIT0Lry/ra9gwKFkTUPUxQvFVa9Iw
 NVTNqVHhMFKIgkSDP3TFzhpjNlVwQ==
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 24085
Cc: 24085 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

 > Do they also refuse to move a frame so that part of it is off the
 > screen?  Or is the above only enforced for the initial location of the
 > frame?

Only for the initial location of the frame.  After that you can move the
frame off screen.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at 24085 <at> debbugs.gnu.org:


Received: (at 24085) by debbugs.gnu.org; 28 Jul 2016 16:36:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 28 12:36:44 2016
Received: from localhost ([127.0.0.1]:49501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSoIe-0005YE-1C
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 12:36:44 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:18855)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1bSoIb-0005Y0-P4
 for 24085 <at> debbugs.gnu.org; Thu, 28 Jul 2016 12:36:42 -0400
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u6SGaZ12005322
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Thu, 28 Jul 2016 16:36:36 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by aserv0021.oracle.com (8.13.8/8.13.8) with ESMTP id u6SGaZKr026475
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Thu, 28 Jul 2016 16:36:35 GMT
Received: from abhmp0014.oracle.com (abhmp0014.oracle.com [141.146.116.20])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id u6SGaYEU028917;
 Thu, 28 Jul 2016 16:36:35 GMT
MIME-Version: 1.0
Message-ID: <6e71e0fd-fa33-4e8d-bdb0-b1af73024faf@default>
Date: Thu, 28 Jul 2016 09:36:33 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Drew Adams <drew.adams@HIDDEN>
Subject: RE: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
References: <<<<<0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
 <57987CBA.2060405@HIDDEN>>>>>
 <<<<<3657859c-03f1-4eca-9a78-a9be0dee6552@default>>>>>
 <<<<<83h9bbrqx5.fsf@HIDDEN>>>>>
 <<<<06a3fb2a-b975-41cf-8aa3-c2cbe207057f@default>>>>
 <<<<838twnrngr.fsf@HIDDEN>>>>
 <<<325b79e8-c40b-46f7-a89a-11f0888b0a68@default>>>
 <<<8360rqsy7i.fsf@HIDDEN>>> <<6336b8b4-49c0-4ce6-9044-cf558f12c16e@default>>
 <<8337mtsu54.fsf@HIDDEN>>
In-Reply-To: <<8337mtsu54.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0021.oracle.com [141.146.126.233]
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 24085
Cc: rudalics@HIDDEN, 24085 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.6 (---)

> > I think (hope) you are saying that there is no good argument for
> > not respecting PARAMETERS, but because of the previous, low-level fix,
> > that's unfortunately where we are today.  In that case, let's please
> > try to do better.  If `set-frame-parameter' can in a sense "override"
> > or work around that low-level dictation of frame positioning, then
> > I imagine it should be possible for `make-frame' to do the same.
>=20
> The problem is not only technical, it's also a problem of our intent.
> Do we _want_ to let frames have their echo area obscured?

I certainly do.  I have commands that rely on it, including commands
that incrementally move frames around (e.g., holding a key pressed moves
a frame right, left, up, or down, incrementally), and they wrap around
the display or from one monitor to another.

And a frame does not necessarily even have an echo area. None of my
frames do, apart from my standalone minibuffer frame.

Basic Emacs functions should not be DWIM.  A user or code should
definitely be able to position a frame anywhere.  Similarly, we have
the ability to make frames invisible.  Would you take that away, using
as argument that a user cannot see the echo area on such a frame?

> If not, then the fact that set-frame-parameter allows that would be
> a bug that needs to be fixed.

Sheesh.  Maybe I'd better stop filing bug reports, if when I do so it
encourages you to remove some other longstanding Emacs feature I use.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at 24085 <at> debbugs.gnu.org:


Received: (at 24085) by debbugs.gnu.org; 28 Jul 2016 16:35:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 28 12:35:15 2016
Received: from localhost ([127.0.0.1]:49493 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSoHD-0005Vl-Fl
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 12:35:15 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:18036)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1bSoHC-0005VY-6t
 for 24085 <at> debbugs.gnu.org; Thu, 28 Jul 2016 12:35:14 -0400
Received: from userv0021.oracle.com (userv0021.oracle.com [156.151.31.71])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u6SGZ8pD003613
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Thu, 28 Jul 2016 16:35:08 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by userv0021.oracle.com (8.13.8/8.13.8) with ESMTP id u6SGZ78o013051
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Thu, 28 Jul 2016 16:35:07 GMT
Received: from abhmp0014.oracle.com (abhmp0014.oracle.com [141.146.116.20])
 by aserv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u6SGZ355030696;
 Thu, 28 Jul 2016 16:35:06 GMT
MIME-Version: 1.0
Message-ID: <62078ce0-636f-4518-94f5-881780ce7f85@default>
Date: Thu, 28 Jul 2016 09:35:02 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
References: <<<<0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
 <57987CBA.2060405@HIDDEN>>>>
 <<<<3657859c-03f1-4eca-9a78-a9be0dee6552@default>>>>
 <<<<83h9bbrqx5.fsf@HIDDEN>>>>
 <<<06a3fb2a-b975-41cf-8aa3-c2cbe207057f@default>>>
 <<<838twnrngr.fsf@HIDDEN>>> <<325b79e8-c40b-46f7-a89a-11f0888b0a68@default>>
 <<8360rqsy7i.fsf@HIDDEN>> <6336b8b4-49c0-4ce6-9044-cf558f12c16e@default>
 <5799C908.5060709@HIDDEN>
In-Reply-To: <5799C908.5060709@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0021.oracle.com [156.151.31.71]
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 24085
Cc: 24085 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.6 (---)

>  > Since I have your attention, and if it doesn't take too much of
>  > your time, could you or Martin perhaps please recommend a way of
>  > getting the screen-relative pixel coordinates of a given buffer
>  > position in a given window of a given Emacs frame?
>=20
> With Emacs 25 you can combine =E2=80=98pos-visible-in-window-p=E2=80=99 w=
ith
> =E2=80=98window-absolute-body-pixel-edges=E2=80=99.

Thanks.  It's not clear to me how `pos-visible-in-window-p'
would enter the picture (except to confirm that a position
is visible before asking for its pixel coordinates, and for
`point' that is always the case), but I guess I can see how
`window-absolute-body-pixel-edges' might help.

---

Unfortunately for me, I cannot use anything from Emacs 25,
as it is hopelessly broken, so far, at least in my context.
At this point I can only hope that someone else eventually
reports problems similar to those I've reported (e.g. crashes)
and has better luck than I in tracking down the causes and
getting them fixed.

But I continue to follow Emacs development, and I continue=20
to try new builds of 25, just in case.  (I make no claim that
my case is typical, obviously.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jul 2016 16:35:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 28 12:35:25 2016
Received: from localhost ([127.0.0.1]:49496 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSoHN-0005W8-Mk
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 12:35:25 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53757)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1bSoHL-0005Vu-9l
 for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 12:35:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1bSoHF-0004RC-5E
 for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 12:35:17 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47593)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1bSoHF-0004R1-20
 for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 12:35:17 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44671)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1bSoHC-000238-Sb
 for bug-gnu-emacs@HIDDEN; Thu, 28 Jul 2016 12:35:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1bSoH9-0004L7-6S
 for bug-gnu-emacs@HIDDEN; Thu, 28 Jul 2016 12:35:13 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:22169)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1bSoH8-0004JZ-TN
 for bug-gnu-emacs@HIDDEN; Thu, 28 Jul 2016 12:35:11 -0400
Received: from userv0022.oracle.com (userv0022.oracle.com [156.151.31.74])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u6SGZ7dP009068
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 28 Jul 2016 16:35:08 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by userv0022.oracle.com (8.14.4/8.13.8) with ESMTP id u6SGZ7L0001133
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 28 Jul 2016 16:35:07 GMT
Received: from abhmp0014.oracle.com (abhmp0014.oracle.com [141.146.116.20])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id u6SGZ56n028267;
 Thu, 28 Jul 2016 16:35:05 GMT
MIME-Version: 1.0
Message-ID: <f0fd6dd9-f72e-4c70-967f-76c000ac92dd@default>
Date: Thu, 28 Jul 2016 09:35:03 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: =?iso-8859-1?B?Q2zpbWVudCBQaXQtLUNsYXVkZWw=?= <clement.pit@HIDDEN>,
 bug-gnu-emacs@HIDDEN
Subject: RE: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
References: <<<<0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
 <57987CBA.2060405@HIDDEN> <<<<3657859c-03f1-4eca-9a78-a9be0dee6552@default>
 <<<<83h9bbrqx5.fsf@HIDDEN> <<<06a3fb2a-b975-41cf-8aa3-c2cbe207057f@default>
 <<<838twnrngr.fsf@HIDDEN> <<325b79e8-c40b-46f7-a89a-11f0888b0a68@default>
 <<8360rqsy7i.fsf@HIDDEN> <6336b8b4-49c0-4ce6-9044-cf558f12c16e@default>
 <6dbee9a6-bfe3-7d29-d3a0-1a5521e3c73f@HIDDEN>
In-Reply-To: <6dbee9a6-bfe3-7d29-d3a0-1a5521e3c73f@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0022.oracle.com [156.151.31.74]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Hi Cl=E9ment,

Thanks for reminding me of that pos-tip thread, which I found here:
https://www.emacswiki.org/emacs/PosTip.  And thanks for posting a
possible solution.  I'll take a look at it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at 24085 <at> debbugs.gnu.org:


Received: (at 24085) by debbugs.gnu.org; 28 Jul 2016 16:35:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 28 12:35:00 2016
Received: from localhost ([127.0.0.1]:49489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSoGy-0005Uq-7x
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 12:35:00 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:17856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1bSoGw-0005Uc-RT
 for 24085 <at> debbugs.gnu.org; Thu, 28 Jul 2016 12:34:59 -0400
Received: from userv0022.oracle.com (userv0022.oracle.com [156.151.31.74])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u6SGYquF003108
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 28 Jul 2016 16:34:52 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by userv0022.oracle.com (8.14.4/8.13.8) with ESMTP id u6SGYpDg032737
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Thu, 28 Jul 2016 16:34:52 GMT
Received: from abhmp0014.oracle.com (abhmp0014.oracle.com [141.146.116.20])
 by aserv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u6SGYoUV030621;
 Thu, 28 Jul 2016 16:34:50 GMT
MIME-Version: 1.0
Message-ID: <3a0be54b-1373-4ab3-b560-3891a2e5035e@default>
Date: Thu, 28 Jul 2016 09:34:49 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>, 24085 <at> debbugs.gnu.org
Subject: RE: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
References: <0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
 <57987CBA.2060405@HIDDEN> <3657859c-03f1-4eca-9a78-a9be0dee6552@default>
 <5799C8F4.6060205@HIDDEN>
In-Reply-To: <5799C8F4.6060205@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0022.oracle.com [156.151.31.74]
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 24085
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.6 (---)

>  > A user or code can (and should be able to) _move_ a frame to
>  > _any_ position, including partly or completely off screen.
>=20
> Most window managers I know of refuse to make a new frame appear
> off screen on GNU/Linux.

1. What the window manager does is a different question, I think.

Parameter `user-position', for example, has doc that talks
about what a window manager might or might not do, including
perhaps not respecting `user-position' at all.

It is one thing if a window manager does not do what
`make-frame' specifies.  It is another thing if Emacs,
under the covers, silently, and without doc, does not do
what `make-frame' specifies.  No error, no return flag
indicating what was not taken into account, just behavior
that is different from what was specified, with no
acknowledgment of that difference.

2. I thought that the code change responsible for this
(intentional) regression was the one you cited from 2006,
and I thought that was only for MS Windows (w32term.c), so
I thought that change would not have any effect on other
platforms.

3. Refusing to create a frame that is completely off screen
is one thing.  Refusing to create a frame that is even slightly
off screen (e.g. echo area) is another thing.  Is the former or
the latter what you were referring to (by "most window
managers...")?  And in the case concerning MS Windows, IIUC,
it was about the echo area not being off screen necessarily,
but even just being hidden behind the task bar (which is on
screen).

But the main point I want to make here is #1: Emacs should at
least try to respect what `make-frame' specifies in a given
call.  If the window manager cannot respect that, that's a
separate problem, I think.  In that case perhaps Emacs can
raise an error, which a programmer could handle using
`condition-case' etc.  But Emacs should, I think, at least
try to DTRT, even if that might not always be possible.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at 24085 <at> debbugs.gnu.org:


Received: (at 24085) by debbugs.gnu.org; 28 Jul 2016 14:50:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 28 10:50:22 2016
Received: from localhost ([127.0.0.1]:49384 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSmdi-0002tg-IN
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 10:50:22 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bSmdh-0002tR-2i
 for 24085 <at> debbugs.gnu.org; Thu, 28 Jul 2016 10:50:21 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bSmdY-00031Y-Kj
 for 24085 <at> debbugs.gnu.org; Thu, 28 Jul 2016 10:50:15 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.3 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45740)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bSmdY-00031L-HW; Thu, 28 Jul 2016 10:50:12 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3992
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bSmdW-0004qS-Bk; Thu, 28 Jul 2016 10:50:11 -0400
Date: Thu, 28 Jul 2016 17:50:03 +0300
Message-Id: <83wpk5rf50.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <5799C8F4.6060205@HIDDEN> (message from martin rudalics on Thu,
 28 Jul 2016 10:57:24 +0200)
Subject: Re: bug#24085: 25.1.50;
 `make-frame' given `top' param creates frame with ~10x smaller `top'
References: <0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
 <57987CBA.2060405@HIDDEN>
 <3657859c-03f1-4eca-9a78-a9be0dee6552@default> <5799C8F4.6060205@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 24085
Cc: 24085 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

> Date: Thu, 28 Jul 2016 10:57:24 +0200
> From: martin rudalics <rudalics@HIDDEN>
> 
>  > A user or code can (and should be able to) _move_ a frame to
>  > _any_ position, including partly or completely off screen.
> 
> Most window managers I know of refuse to make a new frame appear off
> screen on GNU/Linux.

Do they also refuse to move a frame so that part of it is off the
screen?  Or is the above only enforced for the initial location of the
frame?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at 24085 <at> debbugs.gnu.org:


Received: (at 24085) by debbugs.gnu.org; 28 Jul 2016 14:41:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 28 10:41:02 2016
Received: from localhost ([127.0.0.1]:49373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSmUg-0002fq-6z
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 10:41:02 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51207)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bSmUd-0002fE-Rj
 for 24085 <at> debbugs.gnu.org; Thu, 28 Jul 2016 10:41:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bSmUS-0001Hw-Gz
 for 24085 <at> debbugs.gnu.org; Thu, 28 Jul 2016 10:40:54 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45695)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bSmUS-0001Hr-DL; Thu, 28 Jul 2016 10:40:48 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3988
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bSmUR-0004Cl-HF; Thu, 28 Jul 2016 10:40:47 -0400
Date: Thu, 28 Jul 2016 17:40:39 +0300
Message-Id: <8337mtsu54.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <6336b8b4-49c0-4ce6-9044-cf558f12c16e@default> (message from Drew
 Adams on Wed, 27 Jul 2016 13:55:33 -0700 (PDT))
Subject: Re: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
References: <<<<0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
 <57987CBA.2060405@HIDDEN>>>>
 <<<<3657859c-03f1-4eca-9a78-a9be0dee6552@default>>>>
 <<<<83h9bbrqx5.fsf@HIDDEN>>>>
 <<<06a3fb2a-b975-41cf-8aa3-c2cbe207057f@default>>>
 <<<838twnrngr.fsf@HIDDEN>>> <<325b79e8-c40b-46f7-a89a-11f0888b0a68@default>>
 <<8360rqsy7i.fsf@HIDDEN>> <6336b8b4-49c0-4ce6-9044-cf558f12c16e@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 24085
Cc: rudalics@HIDDEN, 24085 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

> Date: Wed, 27 Jul 2016 13:55:33 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: rudalics@HIDDEN, 24085 <at> debbugs.gnu.org
> 
> > The code in question is deep in
> > the low-level support for creating frames on Windows.  What it does is
> > make sure a frame, any frame, is not displayed with its echo area's
> > view obstructed by the task bar.
> 
> That's a mistake (misguided), I think.  Why was that the solution
> (or is the solution) to the problem reported, which was about the
> initial frame?

Because I think the issue exists not only for the initial frame.  See
the 10-year old discussion, it's all there.

> Can we not fix Emacs so that its avoidance of such positions is for
> the initial frame only?

I don't think this would be a step in the right direction.  Having a
frame obscured by window-system or window-manager decorations is a bad
screw that IMO we should try to avoid.

> Why should the behavior of a general function such as `make-frame'
> need to be sacrificed to fix that unique use case?

The solution wasn't intended to affect only the initial frame.  Once
again, please read the past discussion, as the implementation you see
now is not an accident, it was intended to do what you see.

> And if there _were_ a good reason for `make-frame' to avoid such
> positions in a general, default case (which I would disagree with,
> FWIW), why would that be the case also for the non-default cases
> where you pass an explicit PARAMETERS list to `make-frame'?  Surely,
> at least in that case the coder's intention should be respected.
> And a fortiori if (user-position . t) is in PARAMETERS.  I cannot
> see any argument for _never_ being able to have `make-frame' respect
> PARAMETERS.

This could be an idea worth considering, although I'm not necessarily
sure it's the best or even a right one.  Patches and discussion are
welcome.

> I think (hope) you are saying that there is no good argument for
> not respecting PARAMETERS, but because of the previous, low-level fix,
> that's unfortunately where we are today.  In that case, let's please
> try to do better.  If `set-frame-parameter' can in a sense "override"
> or work around that low-level dictation of frame positioning, then
> I imagine it should be possible for `make-frame' to do the same.

The problem is not only technical, it's also a problem of our intent.
Do we _want_ to let frames have their echo area obscured?  If not,
then the fact that set-frame-parameter allows that would be a bug that
needs to be fixed.  Also, what happens on other window-systems?
Martin says most GNU/Linux window managers will behave the same as
Emacs on Windows behaves now.

> > You put in my mouth things I didn't say.
> 
> I'm glad to hear that, and I apologize if I misunderstood you.
> It must be said that you did not say much - hardly much to go on,
> to decipher your meaning or intention.

What I wrote was very clear, and didn't need any deciphering:
reverting that change is out of the question.  No more, no less.

> Anyway, I take it now that you will seriously consider trying to
> fix this problem for `make-frame'?

Did I ever say I won't?  Why would you even consider such a ridiculous
(to say the least) possibility?

> I'll say again that this is not something that annoys me in my own
> use of Emacs, in general.

It basically annoys no one, since the change was made 10 years ago,
and we had no complaints.  One more factor to consider while
discussing this issue, I guess.

> Since I have your attention, and if it doesn't take too much of
> your time, could you or Martin perhaps please recommend a way of
> getting the screen-relative pixel coordinates of a given buffer
> position in a given window of a given Emacs frame?

This is not the place to ask such question, so I will respond on
emacs-devel.  Please everybody, don't continue this sub-thread here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at 24085 <at> debbugs.gnu.org:


Received: (at 24085) by debbugs.gnu.org; 28 Jul 2016 08:58:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 28 04:58:18 2016
Received: from localhost ([127.0.0.1]:48809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSh90-0004r0-OR
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 04:58:18 -0400
Received: from mout.gmx.net ([212.227.17.21]:52896)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1bSh8z-0004qo-IB
 for 24085 <at> debbugs.gnu.org; Thu, 28 Jul 2016 04:58:17 -0400
Received: from [192.168.1.100] ([212.95.7.40]) by mail.gmx.com (mrgmx101) with
 ESMTPSA (Nemesis) id 0Lo2EO-1amlk715y4-00g2ti;
 Thu, 28 Jul 2016 10:58:07 +0200
Message-ID: <5799C908.5060709@HIDDEN>
Date: Thu, 28 Jul 2016 10:57:44 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
References: <<<<0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>	<57987CBA.2060405@HIDDEN>>>>
 <<<<3657859c-03f1-4eca-9a78-a9be0dee6552@default>>>>
 <<<<83h9bbrqx5.fsf@HIDDEN>>>>
 <<<06a3fb2a-b975-41cf-8aa3-c2cbe207057f@default>>>
 <<<838twnrngr.fsf@HIDDEN>>> <<325b79e8-c40b-46f7-a89a-11f0888b0a68@default>>
 <<8360rqsy7i.fsf@HIDDEN>> <6336b8b4-49c0-4ce6-9044-cf558f12c16e@default>
In-Reply-To: <6336b8b4-49c0-4ce6-9044-cf558f12c16e@default>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:uZECJNNkh7C0+wWbUT0P+1vMO8pKOQVbumJ/7dt++83J/xb2ddv
 utkGOF0WDTg4j+u49hWSiuHsRIAMlFLFZE4uiu4VbK5XeT/7IbXZO64Nu/4VKWFwNTzY9S/
 h3RQRNtsyfDO0RXuPXTeM+ED2BVqc8l6PXIkkiueyfGOpVLbwSvaIloJ00A2j100Hbxuynj
 glvnWNVt14vkYIrRo3w5w==
X-UI-Out-Filterresults: notjunk:1;V01:K0:okINbnBHMGg=:vUqghOZJV0xldrMzlG74KS
 NaxMDKkhUT8ywZqkxJMot6JSUq149OlwflqhVWTMXE4qLjNssBYogY96pyf0lHYjyN/d+DFBO
 Zdtw8Go05VDKjdrgx/gRohC1wAa6gXJMJimg9nzHOZ+25uzUO8WOn4whoWSeYncDRVuXhf9hV
 F13weacBHB/KbnsVmGEtOFy5/rWyLsfELywwoIoFl9zxJUrIF0GnXSORSjkGFWMscp+ufYdT2
 N4lmfCJxR5ZFb79itPWr1DNXPZU0AVxVSjIGW4pvga/87BnxY8tbqqaZAxyrPs0+MtVA9B86A
 a5m6UR177ZnG6H6AgxlZLW1IK2SNnp39huqWfm/8h2FQCg+k7VIKWkcwAZ3CQ6ncLZDsORWkW
 wH6oQLsmz2bM+cAi50k+xrOIMxuggPP7Y7KEE3FlhsBXWqjnTidbF1/Odotl+moRwFTeSh12/
 Vi/1RG4rHsUXxcu1wEx9QmrPYnYeVzqavGUE0V4f+YWPxiCejmKQDNETLwiX9SuY8eMlvO0t3
 f8jqU5BcEpJ9JIuiwPH1w2YQ0TbR4CT+8DEyNU6g3kIoN7jljFo5l16DgDwVQDOiD8a9Z1Bhw
 BS0b/OybJCkbIZc2OE70S8MmnDWy+p5pqmA8bC54FjiW91gLvEidQE/HUmwaKz5dsTMXYow2f
 wd5CjiBpx0VO/GqAE7rdvnhyfK5DPCOP3TXcczpQFcvSpu8MCQpIoU6v9TytNpfxyp0B3PH1k
 IVJcMAzOS+dl9UhoUqtTixzQ9hMFXcykoxK63SmOM5HZPCqcdUMmc+MO1oOu+QEjwstckDfcw
 /k/IbP1WO/AGmo+UiFu7AZ5tDS/6Q==
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 24085
Cc: 24085 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

 > Since I have your attention, and if it doesn't take too much of
 > your time, could you or Martin perhaps please recommend a way of
 > getting the screen-relative pixel coordinates of a given buffer
 > position in a given window of a given Emacs frame?

With Emacs 25 you can combine =E2=80=98pos-visible-in-window-p=E2=80=99 w=
ith
=E2=80=98window-absolute-body-pixel-edges=E2=80=99.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at 24085 <at> debbugs.gnu.org:


Received: (at 24085) by debbugs.gnu.org; 28 Jul 2016 08:57:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 28 04:57:58 2016
Received: from localhost ([127.0.0.1]:48805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSh8g-0004q4-Gs
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2016 04:57:58 -0400
Received: from mout.gmx.net ([212.227.17.20]:61795)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1bSh8f-0004pr-NC
 for 24085 <at> debbugs.gnu.org; Thu, 28 Jul 2016 04:57:58 -0400
Received: from [192.168.1.100] ([212.95.7.40]) by mail.gmx.com (mrgmx103) with
 ESMTPSA (Nemesis) id 0LyEUz-1bGAbn3lUD-015a9R;
 Thu, 28 Jul 2016 10:57:47 +0200
Message-ID: <5799C8F4.6060205@HIDDEN>
Date: Thu, 28 Jul 2016 10:57:24 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>, 24085 <at> debbugs.gnu.org
Subject: Re: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
References: <0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
 <57987CBA.2060405@HIDDEN> <3657859c-03f1-4eca-9a78-a9be0dee6552@default>
In-Reply-To: <3657859c-03f1-4eca-9a78-a9be0dee6552@default>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:yeheiiA5pqFG3NkR3erc1an4CcTEpwPgEWi1lJkfg8oyL3xch6n
 kdO+6AgxKNC5xh8poHQkiM/dDT3Iou4uZ/VHeyJ0VohdBtX0sr+rrxslJQdGu9+5R8Ic/qM
 86yVHG6/tAKn5tj5D9iu2zUVgFk1TbIejvp3WCJ5qDUl+r5/GNkSEFyxJ8RxwWAPw21rHTN
 k1FaiGZDHlxEsvO1wy+FQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:cHixVJzwgr4=:hH2hUQQGEHYo0M8pI9VZB+
 QTxe2E0NB6T81LfIg5fr/ImeJF57FJVt2VAkLLwsXMEtH6D0FZb/3nq/lmoEGKbYGXlXjR42+
 veZgKmON+MKCYaNls4blFDU11OnTSVgpyGhnCpVrsG2xaT257yqZGBg4uYlbWH6C6GFs7DFrB
 Boi1Rpqynbzk8xKZ/Dr/+LSfcb9uhSdTZcSvnc/qOTEnjbJ2hqqszj5mitzNHaOm4A4oF6cnZ
 Tx3dbev966F2BM9/PPu/bwvNKsXLoAGDF/BFgpObJQeEJ+LHoscx4pgejlSXg5dLqbsDh9tYW
 CY6bkvWZwikRBclBzQxLALz372/im5WiUXdx0EsjyWBZhs3VmtxL1OMpoRybekFI1HL9CdeUu
 AcEgOiP0P0HJUW8HeH4Y5sAp6TwdkKvRJxEy8q0NHehQu6/aqJ2sJYEoHwcKs01f9n0mQvbzu
 MWqgCpWBqFP25agMfAUUuSh5pGXV4XT22Tb5qEam+Gn+kDCPXebp9mqeI+PyYSa+k4FBGr3YV
 x3feWyyMb6CHy6+LqMbSnK/tNSBZQtqj1zaU0qeGOuHNte8tpcDIJEtP8dEXEE4boEyQ5Trjk
 6mb4S6zJeVG24iBdsM3uXqOeTWftxBs3h3voLGoIkYsD6xdYju9G5NZ1Om+cp/hoNog3uW5uH
 LFu/bmL/B8Nk/zrmuwI6bCKT4QvwgJBapSlNWXCf6WM1OgRPgnm/zfRDYW0McjuPHKUOWztU9
 eFqzufrQJKWYWD2KJiXL4irMOuF1zHTH7QLM8wHsMdKcYkGqOP24oESKjnM0Hj6ZMazgsNA+o
 ZSBUSidAa/O18igIpsMXxXYze++HA==
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 24085
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

 > A user or code can (and should be able to) _move_ a frame to
 > _any_ position, including partly or completely off screen.

Most window managers I know of refuse to make a new frame appear off
screen on GNU/Linux.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jul 2016 02:12:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 27 22:12:49 2016
Received: from localhost ([127.0.0.1]:48656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSaob-0001pp-4U
	for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 22:12:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46865)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pit@HIDDEN>) id 1bSaoZ-0001pZ-0A
 for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 22:12:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clement.pit@HIDDEN>) id 1bSaoR-0002BE-VR
 for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 22:12:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39582)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <clement.pit@HIDDEN>) id 1bSaoR-0002B3-SA
 for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 22:12:39 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37819)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <clement.pit@HIDDEN>) id 1bSaoP-0002RT-5U
 for bug-gnu-emacs@HIDDEN; Wed, 27 Jul 2016 22:12:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clement.pit@HIDDEN>) id 1bSaoK-000299-Pe
 for bug-gnu-emacs@HIDDEN; Wed, 27 Jul 2016 22:12:35 -0400
Received: from mout.kundenserver.de ([212.227.17.13]:54688)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <clement.pit@HIDDEN>) id 1bSaoK-00028v-FI
 for bug-gnu-emacs@HIDDEN; Wed, 27 Jul 2016 22:12:32 -0400
Received: from [18.189.62.146] ([18.189.62.146]) by mrelayeu.kundenserver.de
 (mreue102) with ESMTPSA (Nemesis) id 0MUEy2-1btRJV0s6M-00QxLJ; Thu, 28 Jul
 2016 04:12:15 +0200
Subject: Re: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
To: bug-gnu-emacs@HIDDEN
References: <<<<0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
 <57987CBA.2060405@HIDDEN> <<<<3657859c-03f1-4eca-9a78-a9be0dee6552@default>
 <<<<83h9bbrqx5.fsf@HIDDEN> <<<06a3fb2a-b975-41cf-8aa3-c2cbe207057f@default>
 <<<838twnrngr.fsf@HIDDEN> <<325b79e8-c40b-46f7-a89a-11f0888b0a68@default>
 <<8360rqsy7i.fsf@HIDDEN> <6336b8b4-49c0-4ce6-9044-cf558f12c16e@default>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pit@HIDDEN>
Message-ID: <6dbee9a6-bfe3-7d29-d3a0-1a5521e3c73f@HIDDEN>
Date: Wed, 27 Jul 2016 22:12:08 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.2.0
MIME-Version: 1.0
In-Reply-To: <6336b8b4-49c0-4ce6-9044-cf558f12c16e@default>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="23BS8iSCRmq9u1qPbhQM00x8fRsNiAt73"
X-Provags-ID: V03:K0:73O071935cjbn8dOOyz9OFdBcmgo+9Yn9wrru94JnFVIQ0rMhr1
 kCwtMGfVKQSCTUBlRA6vTytccPB+SJj4sC8Aey2W5/jwygec+r3NiCo2+ooiLkjX/eDwIdg
 5i1XQxWmZCxtA21hvkyMFT+g5O6A2H3JRooKE+bqpEICtu9RGY/3BqUudJbnBXKHKwAjFt3
 Ec5D95m4I9dEVZbr+dAcA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:gQzrRzcK81M=:R+sgiQdv7+VF9iHP+ye0T8
 4As8FuKwv4kU96ZmKD8JwYLIB+YnDXryNG3Wr6rt9HfyP9dKA24eqrQS4MDNszrknb2Y+a3wc
 1J7WbRhwI0sqd2+zwUU5H6fbN72LSiBCdYWU3HFuA7vcKiXDhdEl065ZBN0xgNiUj6kZMcIEP
 5jtScy+6oIenYDPO/d1I+LOP/sNDfaYPslqRpuKeswdhTfXjW7EUr9Q5AAjlc0RUYJUCO4NwY
 uNLBa0OCLOk/9l1IMedICDTdHzIcSi7eEbSrEuw1aNVCmBlOv4cgela/BgdCD74DSI8xYbSsC
 sNUONAcyNLZtOi6xkQCFuzbKvJ2hdosulnQhz4P70FWzW7f2bF+Zj3dAwq5jjfmI/8vCc4aYR
 GCvy7hWWj0x5IZRsrs1AWV2KQluYNyrWDZb5QJV/DnKPpB/p2qEmuuiU8T06skMSVvRHkw4mx
 1tcwf+oXQ7zFMzBOt/tytN+VrSdK5B+kTIHyemfGU5DRYQJgbxdhntP6JZJrDFXbE8fpknNe2
 z4XedMA+0QmPyKbmBDeWeipqMiI4ebvKcDa4+9tji4uOXMZdc/ickOeUsJ0rhIciLnNxAElMA
 JSjYew+HWVx94DXBd8PjRpgAeR9f2+cp8NPP76mhWQviMqqivENzdFPaCZPk5GjSLY9VbNlk9
 W7Kx1S4771sJT9FPeyaLtyND5kUt1ZI1BErYAtl8/+oNBrBkkffZPCuHRWy96+tPnhnA=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
Cc: Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--23BS8iSCRmq9u1qPbhQM00x8fRsNiAt73
Content-Type: multipart/mixed; boundary="ovr6WAQWECvOsHrUqoKrXB0eJlKTN6SUp"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pit@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Cc: Drew Adams <drew.adams@HIDDEN>
Message-ID: <6dbee9a6-bfe3-7d29-d3a0-1a5521e3c73f@HIDDEN>
Subject: Re: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
References: <<<<0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
 <57987CBA.2060405@HIDDEN> <<<<3657859c-03f1-4eca-9a78-a9be0dee6552@default>
 <<<<83h9bbrqx5.fsf@HIDDEN> <<<06a3fb2a-b975-41cf-8aa3-c2cbe207057f@default>
 <<<838twnrngr.fsf@HIDDEN> <<325b79e8-c40b-46f7-a89a-11f0888b0a68@default>
 <<8360rqsy7i.fsf@HIDDEN> <6336b8b4-49c0-4ce6-9044-cf558f12c16e@default>
In-Reply-To: <6336b8b4-49c0-4ce6-9044-cf558f12c16e@default>

--ovr6WAQWECvOsHrUqoKrXB0eJlKTN6SUp
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: quoted-printable

On 2016-07-27 16:55, Drew Adams wrote:
> Just hoping I'm missing something simple, like a function
> `screen-relative-x-y-pixels-at-point'...  Thanks, if you can
> point the way.

Hey Drew,

There was a discussion about this on the Wiki page for pos-tip (back then=
 you suggested filing an enhancement request). The following function, fr=
om pos-tip.el, seems to do more or less what you're looking for. Does it?=
 I'm not sure how well it works in Windows.

In any case, it would be nice if this was easily feasible.

Cheers,
Cl=E9ment.

(defun pos-tip-compute-pixel-position
  (&optional pos window pixel-width pixel-height frame-coordinates dx dy)=

  "Return pixel position of POS in WINDOW like (X . Y), which indicates
the absolute or relative coordinates of bottom left corner of the object.=


Omitting POS and WINDOW means use current position and selected window,
respectively.

If PIXEL-WIDTH and PIXEL-HEIGHT are given, this function assumes these
values as the size of small window like tooltip which is located around t=
he
object at POS. These values are used to adjust the location in order that=

the tooltip won't disappear by sticking out of the display. By referring
the variable `pos-tip-upperside-p' after calling this function, user can
examine whether the tooltip will be located above the specified position.=


If FRAME-COORDINATES is omitted or nil, automatically obtain the absolute=

coordinates of the top left corner of frame which WINDOW is on. Here,
`top left corner of frame' represents the origin of `window-pixel-edges'
and its coordinates are essential for calculating the return value as
absolute coordinates. If a cons cell like (LEFT . TOP), specifies the
frame absolute location and makes the calculation slightly faster, but ca=
n
be used only when it's clear that frame is in the specified position. Use=
rs
can get the latest values of frame coordinates for using in the next call=

by referring the variable `pos-tip-saved-frame-coordinates' just after
calling this function. Otherwise, FRAME-COORDINATES `relative' means retu=
rn
pixel coordinates of the object relative to the top left corner of the fr=
ame.
This is the same effect as `pos-tip-use-relative-coordinates' is non-nil.=


DX specifies horizontal offset in pixel.

DY specifies vertical offset in pixel. This makes the calculations done
without considering the height of object at POS, so the object might be
hidden by the tooltip."
  (let* ((frame (window-frame (or window (selected-window))))
	 (w32-frame (eq (pos-tip-window-system frame) 'w32))
	 (relative (or pos-tip-use-relative-coordinates
		       (eq frame-coordinates 'relative)
		       (and w32-frame
			    (null pos-tip-w32-saved-max-width-height))))
	 (frame-coord (or (and relative '(0 . 0))
			  frame-coordinates
			  (pos-tip-frame-top-left-coordinates frame)
			  (progn
			    (setq relative t
				  pos-tip-use-relative-coordinates t)
			  '(0 . 0))))
	 (posn (posn-at-point (or pos (window-point window)) window))
	 (line (cdr (posn-actual-col-row posn)))
	 (line-height (and line
			   (or (window-line-height line window)
			       (and (redisplay t)
				    (window-line-height line window)))))
	 (x-y (or (posn-x-y posn)
		  (let ((geom (pos-visible-in-window-p
			       (or pos (window-point window)) window t)))
		    (and geom (cons (car geom) (cadr geom))))
		  '(0 . 0)))
	 (x (+ (car frame-coord)
	       (car (window-inside-pixel-edges window))
	       (car x-y)
	       (or dx 0)))
	 (y0 (+ (cdr frame-coord)
		(cadr (window-pixel-edges window))
		(or (nth 2 line-height) (cdr x-y))))
	 (y (+ y0
	       (or dy
		   (car line-height)
		   (with-current-buffer (window-buffer window)
		     (cond
		      ;; `posn-object-width-height' returns an incorrect value
		      ;; when the header line is displayed (Emacs bug #4426).
		      ((and posn
			    (null header-line-format))
		       (cdr (posn-object-width-height posn)))
		      ((and (bound-and-true-p text-scale-mode)
			    (not (zerop (with-no-warnings
					  text-scale-mode-amount))))
		       (round (* (frame-char-height frame)
				 (with-no-warnings
				   (expt text-scale-mode-step
					 text-scale-mode-amount)))))
		      (t
		       (frame-char-height frame)))))))
	 xmax ymax)
    (cond
     (relative
      (setq xmax (frame-pixel-width frame)
	    ymax (frame-pixel-height frame)))
     (w32-frame
      (setq xmax (car pos-tip-w32-saved-max-width-height)
	    ymax (cdr pos-tip-w32-saved-max-width-height)))
     (t
      (setq xmax (x-display-pixel-width frame)
	    ymax (x-display-pixel-height frame))))
    (setq pos-tip-upperside-p (> (+ y (or pixel-height 0))
				 ymax))
    (cons (max 0 (min x (- xmax (or pixel-width 0))))
	  (max 0 (if pos-tip-upperside-p
		     (- (if dy ymax y0) (or pixel-height 0))
		   y)))))


(defun pos-tip-w32-max-width-height (&optional keep-maximize)
  "Maximize the currently selected frame temporarily and set
`pos-tip-w32-saved-max-width-height' the effective display size in order
to become possible to calculate the absolute location of tooltip.

KEEP-MAXIMIZE non-nil means leave the frame maximized.

Note that this function is usable only in Emacs 23 for MS-Windows."
  (interactive)
  (unless (eq window-system 'w32)
    (error "`pos-tip-w32-max-width-height' can be used only in w32 frame.=
"))
  ;; Maximize frame
  (with-no-warnings (w32-send-sys-command 61488))
  (sit-for 0)
  (let ((offset (pos-tip-calibrate-frame-offset)))
    (prog1
	(setq pos-tip-w32-saved-max-width-height
	      (cons (frame-pixel-width)
		    (+ (frame-pixel-height)
		       (- (cdr offset) (car offset)))))
      (if (called-interactively-p 'interactive)
	  (message "%S" pos-tip-w32-saved-max-width-height))
      (unless keep-maximize
	;; Restore frame
	(with-no-warnings (w32-send-sys-command 61728))))))


--ovr6WAQWECvOsHrUqoKrXB0eJlKTN6SUp--

--23BS8iSCRmq9u1qPbhQM00x8fRsNiAt73
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCAAGBQJXmWn4AAoJEPqg+cTm90wjJP8P/jUXtHBNjx6d0GnC8M2JGnK7
G2QixvcGrW97pbkMnpWZR5SQFVTMsfL6cPRqKIVpbvAjl3lR5pUsYKn/BwqSuHwv
sLVF6X9Wx0nxYt6/neRujfGwhcLF4BwOtodbrYgThS18HpoDBi7bxrHgo8KzyksE
O/QXT/ffFYQhlTP7hgAG1BIgIZbouIXt7BhXLmylA9bKrXfEQHWbx4wV8CD5fUEC
zRMd5ctEGWCjGgTtwNcMOQSHMADhxwrkRgln3IvxD1LoTM4EAYDA+2i3xXyVxavo
vcBhL2dmtEezquCI0rEAML9eFE/9E6Bs1gUE3B+j22Ait7r24Y+g+0H21S7btiCb
D+7PRU/qacbfmgAfk0rYZhpJmL3cq6qqFa53boHXphlXSX13imTjaEmIH4ZWwIIn
Y1+FP2xC0RK7qdDQba4cb1hr8dD7ShwIb4XXaEgQHMhMwvU3+2rxjOsMIxPT+cxh
LS6y1e6dtuaGDnvOhMuaTacFpdCByDx+m266l3Wse0tXFBuXyIgTJPYTTKZk8rAN
fmyM4w5LMXKhASbh1RrvTSkCh6LUKhjtgTwHmaFnibwpERg7HxaOboiQV7HJH6cv
dDsG+1+qSsVf8iFlEElZ54JyvZefBW799JHLKiqiYj09G6Tn6aIp9+50ZL4zJU7p
WFxuYc6NwhsjDtEp/Llk
=wBVN
-----END PGP SIGNATURE-----

--23BS8iSCRmq9u1qPbhQM00x8fRsNiAt73--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at 24085 <at> debbugs.gnu.org:


Received: (at 24085) by debbugs.gnu.org; 27 Jul 2016 20:55:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 27 16:55:46 2016
Received: from localhost ([127.0.0.1]:48518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSVrm-0002d2-J2
	for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 16:55:46 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:40210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1bSVrk-0002cn-67
 for 24085 <at> debbugs.gnu.org; Wed, 27 Jul 2016 16:55:44 -0400
Received: from userv0021.oracle.com (userv0021.oracle.com [156.151.31.71])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u6RKtbEi008391
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 27 Jul 2016 20:55:37 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by userv0021.oracle.com (8.13.8/8.13.8) with ESMTP id u6RKtapC024281
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 27 Jul 2016 20:55:36 GMT
Received: from abhmp0007.oracle.com (abhmp0007.oracle.com [141.146.116.13])
 by aserv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u6RKtZti007659;
 Wed, 27 Jul 2016 20:55:35 GMT
MIME-Version: 1.0
Message-ID: <6336b8b4-49c0-4ce6-9044-cf558f12c16e@default>
Date: Wed, 27 Jul 2016 13:55:33 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Drew Adams <drew.adams@HIDDEN>
Subject: RE: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
References: <<<<0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
 <57987CBA.2060405@HIDDEN>>>>
 <<<<3657859c-03f1-4eca-9a78-a9be0dee6552@default>>>>
 <<<<83h9bbrqx5.fsf@HIDDEN>>>>
 <<<06a3fb2a-b975-41cf-8aa3-c2cbe207057f@default>>>
 <<<838twnrngr.fsf@HIDDEN>>> <<325b79e8-c40b-46f7-a89a-11f0888b0a68@default>>
 <<8360rqsy7i.fsf@HIDDEN>>
In-Reply-To: <<8360rqsy7i.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0021.oracle.com [156.151.31.71]
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 24085
Cc: rudalics@HIDDEN, 24085 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.6 (---)

> > > Reverting the change will reintroduce the bug it fixed
> >
> > Obviously, as I indicated in my earlier message, I meant that the
> > bug that it fixed should be fixed properly, without treading on
> > `make-frame'.  If on MS Windows you think the first Emacs frame
> > should be positioned so that it does not overlap the task bar,
> > then do that.  But do it without affecting what `make-frame' does.
> >
> > > so doing that is out of the question.
> >
> > What _is_ in the question, then?
>=20
> Anything else.

Good!

> > If you are unwilling to fix the code, will you fix the doc?
>=20
> If that's the best we can do, yes.

Also good - better than nothing.

> > Just what bug did this change seek to fix?  Wasn't it only the default,
> > initial behavior of Emacs for the initial frame?  If so, how is this
> > general change to `make-frame' the right fix for that bug?
>=20
> Please re-read the discussion, the answers are there.
>=20
> > And how would it hurt for `make-frame' to at least respect an _explicit=
_
> > frame alist argument, which is, after all, optional?  Why does it have
> > such an argument, if it no longer respects it?
>=20
> The code that bothers you is not in make-frame.

What bothers me is the effect on `make-frame', regardless of where
the culprit code may be.

> > But why take over the single, general-purpose frame-creation Lisp
> > function we have, changing its behavior to ignore parts of optional
> > arg PARAMETERS (on one platform, no less), just to accommodate the
> > special case of the initial frame?
>=20
> No one took over any Lisp function.

The behavior of `make-frame' (this bug) was altered drastically, so
that its optional PARAMETERS argument is at best problematic, and at
worst nearly useless.  The intention of the fix might not have been
to do that, but that was the effect on `make-frame', which is what
this bug report is about.

> The code in question is deep in
> the low-level support for creating frames on Windows.  What it does is
> make sure a frame, any frame, is not displayed with its echo area's
> view obstructed by the task bar.

That's a mistake (misguided), I think.  Why was that the solution
(or is the solution) to the problem reported, which was about the
initial frame?

As I said, it is entirely possible (and thank goodness) for either a
user or Lisp code to _move_ a frame into positions that you want to
avoid for the initial frame.  Not just positions that don't show the
echo area, but positions that can place any part - or all - of a frame
off screen.=20

Can we not fix Emacs so that its avoidance of such positions is for
the initial frame only?  And if we can, let's please do that.  The
initial-frame case is a special (unique) case in this and other ways.
Why should the behavior of a general function such as `make-frame'
need to be sacrificed to fix that unique use case?

And if there _were_ a good reason for `make-frame' to avoid such
positions in a general, default case (which I would disagree with,
FWIW), why would that be the case also for the non-default cases
where you pass an explicit PARAMETERS list to `make-frame'?  Surely,
at least in that case the coder's intention should be respected.
And a fortiori if (user-position . t) is in PARAMETERS.  I cannot
see any argument for _never_ being able to have `make-frame' respect
PARAMETERS.

I think (hope) you are saying that there is no good argument for
not respecting PARAMETERS, but because of the previous, low-level fix,
that's unfortunately where we are today.  In that case, let's please
try to do better.  If `set-frame-parameter' can in a sense "override"
or work around that low-level dictation of frame positioning, then
I imagine it should be possible for `make-frame' to do the same.

If nothing else, if PARAMETERS is present, shouldn't `make-frame' be
able to at least update the frame parameters, respecting PARAMETERS,
immediately after the low-level code creates it in the (wrong) position
that it uses to avoid hiding the echo area?

> > This makes no sense to me.  And I find it hard to believe that you
> > would not consider fixing that bug properly and restoring `make-frame'
> > to a general-purpose function that respects whatever optional frame
> > parameters are specified.
>=20
> You put in my mouth things I didn't say.

I'm glad to hear that, and I apologize if I misunderstood you.
It must be said that you did not say much - hardly much to go on,
to decipher your meaning or intention.

Anyway, I take it now that you will seriously consider trying to
fix this problem for `make-frame'?  That would be great, and all
that anyone could ask.

I'll say again that this is not something that annoys me in my own
use of Emacs, in general.  I stumbled on it now, with emacs -Q,
after it having been introduced 10 years ago apparently.  But I
think that Emacs's `make-frame' should behave as it did before,
even if something should be done to ensure that the initial frame
is not occluded.

---

Since I have your attention, and if it doesn't take too much of
your time, could you or Martin perhaps please recommend a way of
getting the screen-relative pixel coordinates of a given buffer
position in a given window of a given Emacs frame?

I've been fiddling a bit with test code like this, but haven't
really found anything reasonable yet:

;; Try to get screen-relative X, Y (pixels) for current point
(let* ((posn-at-pt  (posn-at-point))
       (x-y         (and posn-at-pt  (posn-x-y posn-at-pt)))
       (win-edges   (and x-y  (window-inside-absolute-pixel-edges)))
=09(x           (and x-y  (+ (car x-y) (car win-edges))))
=09(y           (and x-y  (+ (cdr x-y) (cadr win-edges))))
=09(y           (and y  (top-fudge-pixels y))))
  ...)

(defun top-fudge-pixels (y)
  (let ((y2  y))
    (when tool-bar-mode (setq y2  (+ 40 tp)))
    (when menu-bar-mode (setq y2  (+ 25 tp)))
    (setq y2  (+ y2 28))  ; Frame title bar
    y2))

Just hoping I'm missing something simple, like a function
`screen-relative-x-y-pixels-at-point'...  Thanks, if you can
point the way.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at 24085 <at> debbugs.gnu.org:


Received: (at 24085) by debbugs.gnu.org; 27 Jul 2016 19:19:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 27 15:19:46 2016
Received: from localhost ([127.0.0.1]:48469 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSUMs-0000Jw-51
	for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 15:19:46 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52955)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bSUMo-0000Jg-5n
 for 24085 <at> debbugs.gnu.org; Wed, 27 Jul 2016 15:19:44 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bSU4f-00055H-NY
 for 24085 <at> debbugs.gnu.org; Wed, 27 Jul 2016 15:01:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60892)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bSU4f-00055D-Jz; Wed, 27 Jul 2016 15:00:57 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3269
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bSU4c-0006p4-PQ; Wed, 27 Jul 2016 15:00:57 -0400
Date: Wed, 27 Jul 2016 22:00:33 +0300
Message-Id: <8360rqsy7i.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <325b79e8-c40b-46f7-a89a-11f0888b0a68@default> (message from Drew
 Adams on Wed, 27 Jul 2016 11:39:49 -0700 (PDT))
Subject: Re: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
References: <<<0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
 <57987CBA.2060405@HIDDEN>>>
 <<<3657859c-03f1-4eca-9a78-a9be0dee6552@default>>>
 <<<83h9bbrqx5.fsf@HIDDEN>>> <<06a3fb2a-b975-41cf-8aa3-c2cbe207057f@default>>
 <<838twnrngr.fsf@HIDDEN>> <325b79e8-c40b-46f7-a89a-11f0888b0a68@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 24085
Cc: rudalics@HIDDEN, 24085 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

> Date: Wed, 27 Jul 2016 11:39:49 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: rudalics@HIDDEN, 24085 <at> debbugs.gnu.org
> 
> > > > > Would someone please revert this, and let `make-frame' respect the
> > > > > frame parameters handed to it, in particular `top'?
> > > >
> > > > Not a chance, sorry.
> > >
> > > Huh? What's that all about?
> > 
> > Reverting the change will reintroduce the bug it fixed
> 
> Obviously, as I indicated in my earlier message, I meant that the
> bug that it fixed should be fixed properly, without treading on
> `make-frame'.  If on MS Windows you think the first Emacs frame
> should be positioned so that it does not overlap the task bar,
> then do that.  But do it without affecting what `make-frame' does.
> 
> > so doing that is out of the question.
> 
> What _is_ in the question, then?

Anything else.

> If you are unwilling to fix the code, will you fix the doc?

If that's the best we can do, yes.

> Just what bug did this change seek to fix?  Wasn't it only the default,
> initial behavior of Emacs for the initial frame?  If so, how is this
> general change to `make-frame' the right fix for that bug?

Please re-read the discussion, the answers are there.

> And how would it hurt for `make-frame' to at least respect an _explicit_
> frame alist argument, which is, after all, optional?  Why does it have
> such an argument, if it no longer respects it?

The code that bothers you is not in make-frame.

> But why take over the single, general-purpose frame-creation Lisp
> function we have, changing its behavior to ignore parts of optional
> arg PARAMETERS (on one platform, no less), just to accommodate the
> special case of the initial frame?

No one took over any Lisp function.  The code in question is deep in
the low-level support for creating frames on Windows.  What it does is
make sure a frame, any frame, is not displayed with its echo area's
view obstructed by the task bar.

> This makes no sense to me.  And I find it hard to believe that you
> would not consider fixing that bug properly and restoring `make-frame'
> to a general-purpose function that respects whatever optional frame
> parameters are specified.

You put in my mouth things I didn't say.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at 24085 <at> debbugs.gnu.org:


Received: (at 24085) by debbugs.gnu.org; 27 Jul 2016 18:40:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 27 14:40:01 2016
Received: from localhost ([127.0.0.1]:39453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSTkO-00024r-Rj
	for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 14:40:01 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:22251)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1bSTkN-00024e-82
 for 24085 <at> debbugs.gnu.org; Wed, 27 Jul 2016 14:39:59 -0400
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u6RIdq9L011972
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 27 Jul 2016 18:39:52 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserv0022.oracle.com (8.13.8/8.13.8) with ESMTP id u6RIdph4016495
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 27 Jul 2016 18:39:52 GMT
Received: from abhmp0007.oracle.com (abhmp0007.oracle.com [141.146.116.13])
 by aserv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u6RIdorK008635;
 Wed, 27 Jul 2016 18:39:51 GMT
MIME-Version: 1.0
Message-ID: <325b79e8-c40b-46f7-a89a-11f0888b0a68@default>
Date: Wed, 27 Jul 2016 11:39:49 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Drew Adams <drew.adams@HIDDEN>
Subject: RE: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
References: <<<0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
 <57987CBA.2060405@HIDDEN>>>
 <<<3657859c-03f1-4eca-9a78-a9be0dee6552@default>>>
 <<<83h9bbrqx5.fsf@HIDDEN>>> <<06a3fb2a-b975-41cf-8aa3-c2cbe207057f@default>>
 <<838twnrngr.fsf@HIDDEN>>
In-Reply-To: <<838twnrngr.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0022.oracle.com [141.146.126.234]
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 24085
Cc: rudalics@HIDDEN, 24085 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.6 (---)

> > > > Would someone please revert this, and let `make-frame' respect the
> > > > frame parameters handed to it, in particular `top'?
> > >
> > > Not a chance, sorry.
> >
> > Huh? What's that all about?
>=20
> Reverting the change will reintroduce the bug it fixed

Obviously, as I indicated in my earlier message, I meant that the
bug that it fixed should be fixed properly, without treading on
`make-frame'.  If on MS Windows you think the first Emacs frame
should be positioned so that it does not overlap the task bar,
then do that.  But do it without affecting what `make-frame' does.

> so doing that is out of the question.

What _is_ in the question, then?  If you are unwilling to fix the
code, will you fix the doc?

Will you update the doc to say that `make-frame' does not (or might
not, or does not in the following cases...) respect this and that
parameter (whichever parameters it does not respect)?

Will you tell users in the doc that if they want (this or that part
of) the PARAMETERS argument to have any effect they will need to call
`set-frame-parameter' after `make-frame', to set those parameters as
they expected `make-frame' would have done?  IOW, PARAMETERS, or at
least some of it, might have no effect, so users had better find
some other way to set the frame parameters?

I find your reaction here to be dismissive and overreactive, so far.

Just what bug did this change seek to fix?  Wasn't it only the default,
initial behavior of Emacs for the initial frame?  If so, how is this
general change to `make-frame' the right fix for that bug?

And how would it hurt for `make-frame' to at least respect an _explicit_
frame alist argument, which is, after all, optional?  Why does it have
such an argument, if it no longer respects it?

It seems to me that a proper fix for the problem described in the
bug report that this "fix" was for is to do something specific for
the initial Emacs frame only - which is _anyway_ special-cased.  Take
some code from the existing `make-frame' and give it another name for
that special case, for example.

But why take over the single, general-purpose frame-creation Lisp
function we have, changing its behavior to ignore parts of optional
arg PARAMETERS (on one platform, no less), just to accommodate the
special case of the initial frame?

This makes no sense to me.  And I find it hard to believe that you
would not consider fixing that bug properly and restoring `make-frame'
to a general-purpose function that respects whatever optional frame
parameters are specified.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at 24085 <at> debbugs.gnu.org:


Received: (at 24085) by debbugs.gnu.org; 27 Jul 2016 17:38:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 27 13:38:19 2016
Received: from localhost ([127.0.0.1]:39427 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSSmh-0000aB-Dk
	for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 13:38:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bSSmg-0000Zz-9J
 for 24085 <at> debbugs.gnu.org; Wed, 27 Jul 2016 13:38:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bSSmY-0000vp-Td
 for 24085 <at> debbugs.gnu.org; Wed, 27 Jul 2016 13:38:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.3 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60061)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bSSmY-0000v3-QT; Wed, 27 Jul 2016 13:38:10 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3217
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bSSmS-0007LZ-Jd; Wed, 27 Jul 2016 13:38:05 -0400
Date: Wed, 27 Jul 2016 20:37:56 +0300
Message-Id: <838twnrngr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <06a3fb2a-b975-41cf-8aa3-c2cbe207057f@default> (message from Drew
 Adams on Wed, 27 Jul 2016 09:57:44 -0700 (PDT))
Subject: Re: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
References: <<0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
 <57987CBA.2060405@HIDDEN>> <<3657859c-03f1-4eca-9a78-a9be0dee6552@default>>
 <<83h9bbrqx5.fsf@HIDDEN>> <06a3fb2a-b975-41cf-8aa3-c2cbe207057f@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 24085
Cc: rudalics@HIDDEN, 24085 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

> Date: Wed, 27 Jul 2016 09:57:44 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: rudalics@HIDDEN, 24085 <at> debbugs.gnu.org
> 
> > > Would someone please revert this, and let `make-frame' respect the
> > > frame parameters handed to it, in particular `top'?
> > 
> > Not a chance, sorry.
> 
> Huh? What's that all about?

Reverting the change will reintroduce the bug it fixed, so doing that
is out of the question.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at 24085 <at> debbugs.gnu.org:


Received: (at 24085) by debbugs.gnu.org; 27 Jul 2016 16:57:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 27 12:57:59 2016
Received: from localhost ([127.0.0.1]:39404 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSS9f-00082X-DG
	for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 12:57:59 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:30461)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1bSS9d-00082H-DB
 for 24085 <at> debbugs.gnu.org; Wed, 27 Jul 2016 12:57:57 -0400
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u6RGvoxQ009502
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 27 Jul 2016 16:57:51 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by aserv0022.oracle.com (8.13.8/8.13.8) with ESMTP id u6RGvnY7020757
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 27 Jul 2016 16:57:50 GMT
Received: from abhmp0007.oracle.com (abhmp0007.oracle.com [141.146.116.13])
 by userv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u6RGvjBJ016060;
 Wed, 27 Jul 2016 16:57:46 GMT
MIME-Version: 1.0
Message-ID: <06a3fb2a-b975-41cf-8aa3-c2cbe207057f@default>
Date: Wed, 27 Jul 2016 09:57:44 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
References: <<0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
 <57987CBA.2060405@HIDDEN>> <<3657859c-03f1-4eca-9a78-a9be0dee6552@default>>
 <<83h9bbrqx5.fsf@HIDDEN>>
In-Reply-To: <<83h9bbrqx5.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0022.oracle.com [141.146.126.234]
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 24085
Cc: rudalics@HIDDEN, 24085 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.6 (---)

> > Would someone please revert this, and let `make-frame' respect the
> > frame parameters handed to it, in particular `top'?
>=20
> Not a chance, sorry.

Huh? What's that all about?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at 24085 <at> debbugs.gnu.org:


Received: (at 24085) by debbugs.gnu.org; 27 Jul 2016 16:23:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 27 12:23:40 2016
Received: from localhost ([127.0.0.1]:39355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSRcS-0007Bx-26
	for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 12:23:40 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bSRcQ-0007Bi-P8
 for 24085 <at> debbugs.gnu.org; Wed, 27 Jul 2016 12:23:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bSRcH-0003E9-BL
 for 24085 <at> debbugs.gnu.org; Wed, 27 Jul 2016 12:23:33 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58973)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bSRcH-0003E1-8E; Wed, 27 Jul 2016 12:23:29 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3072
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bSRcF-0006kJ-9C; Wed, 27 Jul 2016 12:23:27 -0400
Date: Wed, 27 Jul 2016 19:23:18 +0300
Message-Id: <83h9bbrqx5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <3657859c-03f1-4eca-9a78-a9be0dee6552@default> (message from Drew
 Adams on Wed, 27 Jul 2016 06:29:14 -0700 (PDT))
Subject: Re: bug#24085: 25.1.50;
 `make-frame' given `top' param creates frame with ~10x smaller `top'
References: <0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
 <57987CBA.2060405@HIDDEN> <3657859c-03f1-4eca-9a78-a9be0dee6552@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 24085
Cc: rudalics@HIDDEN, 24085 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

> Date: Wed, 27 Jul 2016 06:29:14 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> 
> Would someone please revert this, and let `make-frame' respect the
> frame parameters handed to it, in particular `top'?

Not a chance, sorry.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at 24085 <at> debbugs.gnu.org:


Received: (at 24085) by debbugs.gnu.org; 27 Jul 2016 13:29:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 27 09:29:29 2016
Received: from localhost ([127.0.0.1]:38821 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSOtt-0002nN-FX
	for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 09:29:29 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:32632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1bSOtp-0002n7-SP
 for 24085 <at> debbugs.gnu.org; Wed, 27 Jul 2016 09:29:26 -0400
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u6RDTJ7P015618
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 27 Jul 2016 13:29:19 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserv0021.oracle.com (8.13.8/8.13.8) with ESMTP id u6RDTJQ0001920
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 27 Jul 2016 13:29:19 GMT
Received: from abhmp0013.oracle.com (abhmp0013.oracle.com [141.146.116.19])
 by aserv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u6RDTFBM030100;
 Wed, 27 Jul 2016 13:29:16 GMT
MIME-Version: 1.0
Message-ID: <3657859c-03f1-4eca-9a78-a9be0dee6552@default>
Date: Wed, 27 Jul 2016 06:29:14 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>, 24085 <at> debbugs.gnu.org
Subject: RE: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
References: <0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
 <57987CBA.2060405@HIDDEN>
In-Reply-To: <57987CBA.2060405@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0021.oracle.com [141.146.126.233]
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 24085
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.6 (---)

> Due to this change:
> 2006-06-30  Ralf Angeli  <angeli@HIDDEN>
>=20
> =09* w32term.c (x_make_frame_visible): Use SystemParametersInfo with
> =09SPI_GETWORKAREA to find the dimensions of the screen work area,
> =09and adjust vertical position of the frame in order to avoid being
> =09covered by the taskbar.
>=20
> See the thread starting at
> https://lists.gnu.org/archive/html/emacs-pretest-bug/2006-06/msg00142.htm=
l
> for the corresponding discussion.

Wow.  That's a revealing thread.  Thanks for finding it.

Such a large, and far-reaching (and bad) change resulting from so
little discussion, by only two people, who were apparently only
slightly annoyed by the _initial_ positioning of the initial
(startup) frame.

The thread is full of I-don't-know-whether-this-change-is-bad,
I'm-not-sure-if-make-frame-is-the-right-place,
maybe-we-should-not-do-this-if-top-is-explicitly-specified, etc.
That should have been a sign that something might be misguided here.

Would someone please revert this, and let `make-frame' respect the
frame parameters handed to it, in particular `top'?

I don't mind (I guess) if such fiddling is done only for the initial
frame.  The initial frame is anyway treated specially by Emacs.
That would be the right place for this hack, if a place there must be.

(But even for that I think that an explicit setting (e.g. in
`initial-frame-alist') should be respected.  And it does not make
a lot of sense to assume that the task bar is in the default
position, at the bottom of the screen.)

But as I say, I don't mind if such fiddling is done only for the
startup frame.  It should not be done for other frames.

`make-frame' is definitely the wrong place to do such fiddling.

A user or code can (and should be able to) _move_ a frame to
_any_ position, including partly or completely off screen.
I see no reason why `make-frame' should not, likewise, respect
`top', `left', etc.  And especially when (user-position . t)
is included!

(It's not even clear (predictable?) exactly what fudging is done.
You specify (top . 600) and you get something quite different
and unpredictable.)

Please, someone, reverse this (intentional) regression since
Emacs 21.  I haven't noticed it before because my own setup
uses a standalone minibuffer and sets up other frames.  I'm
now testing some code with emacs -Q, and I am really surprised
to see this behavior.

This "fix" does not really address the problem (hiding part of
the initial frame behind a Windows task bar) anyway, and it
shoots Emacs in the foot in a general way (`make-frame' is a
general, basic function).

Pretty please, can we remove this ball-&-chain from `make-frame'?
It should be a straightforward utility function, not some kind
of mysterious DWIM djinn.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at 24085 <at> debbugs.gnu.org:


Received: (at 24085) by debbugs.gnu.org; 27 Jul 2016 09:20:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 27 05:20:28 2016
Received: from localhost ([127.0.0.1]:38724 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSL0t-000202-Pw
	for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 05:20:28 -0400
Received: from mout.gmx.net ([212.227.17.22]:53785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1bSL0r-0001zT-JJ
 for 24085 <at> debbugs.gnu.org; Wed, 27 Jul 2016 05:20:26 -0400
Received: from [192.168.1.100] ([212.95.7.66]) by mail.gmx.com (mrgmx103) with
 ESMTPSA (Nemesis) id 0Lmazv-1au6aT4AQl-00aCsd;
 Wed, 27 Jul 2016 11:20:15 +0200
Message-ID: <57987CBA.2060405@HIDDEN>
Date: Wed, 27 Jul 2016 11:19:54 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>, 24085 <at> debbugs.gnu.org
Subject: Re: bug#24085: 25.1.50; `make-frame' given `top' param creates frame
 with ~10x smaller `top'
References: <0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
In-Reply-To: <0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:cJKh52qQm3TiX5G4aIyUJGkBPuIRIf1sTjuyG64GyEVcNKeatX0
 8n0QUSTHYV4TGoxniWgep4FXXEBEMUq1oZmJvAKULBLv6DxA2cVOZHZXl7xxjo/vbUToTxa
 mHK+NFKbLgk9RZ8xOmk3ZwGY4161mt01xPh7u0JmCV2lEHjbYF7CQQ3Lb6VgO23s7ghGeEp
 nSLNmizClBB/A09RiWArg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:6ADfG5DcbT8=:bBJxf992rYlw/MYdaTY2uU
 rEP4gyC8ltGJRb0iauyQKUe+k5vcRLGx3J3qEoUfrfN14eGH3ebE1x4iAdcuJKwld7HmcAw5K
 ZJSqldOiqhUSNQnHU7szq1XjcvhV0Qm4/790mphk73szDTwzWqw8OCThdvzfq4MNnLyO9uTlY
 zwhqJJ0hFSExZCTYxz7XUjdbAjaTQqjQi/cuKRS9rFyv4e1m3jWnYikWp7/wSEEyQJKjAaeaW
 5ZGEblntmJpoOSDF3SwUzPF+s0Fps4jfGtdHjMGnnZgWkEVVytN7XdqzacGwMyYpA2XEM5uQE
 BW19QySCliAPvWQ8DRiV14mYBZmNDcIG8vgknqgJla8kKVZ8i9odspenvj3DYoiX8BNq6ECzP
 m/wKR0py3lHVUoJVx6oJHxaghu4daSFG4fmO5irXE0Bav6aQIgA33+V5NiAhBPY6y8M9DpXhe
 limBVVaXGnU/N2Nya8VJoiwqazPFcz5XNJwo3OInvSNZ6ceHy2cS18jrinFexUK2Rn1Vb7CYC
 9Rix+0sNVLwlF6coFoqw1R0Zs6PTgmhN+3SYfaYqcoW0AvagBOksFc8DlARhMf7Uw/lLiQ/fG
 fTGXf/rSPsLcLPG6FczNMqfRIB9CFdlPVA4+ZpIBgtl3tC0t5tmOc2arRm9CR9G1K+/PtunUI
 CmHcaL6G8C6LEd5HzJhy48jvvutRPKHSzXgcV6jrwR7pkE4vF6Jy1FOvGK0j7+ad3FsOFtPLX
 dMM/FAJHbAtR6hHKRJnCe5fa2VJO7ma15NIYsUueukrk27+uDQ5o3wm/1k+1EdYbz/11K6pL/
 hfvsWIK
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24085
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > emacs -Q
 >
 > In *scratch*, type and evaluate:
 >
 > (make-frame '((name . "AAA")
 >                (left . 800) (top . 600)
 >                (user-position . t)))
 >
 > In the new frame, do `M-: (frame-parameters)'.  You see something like
 > this:
 >
 > ((tool-bar-position . top) (parent-id) (explicit-name . t)
 >   (display . "w32") (visibility . t) (icon-name) (window-id . "265868")
 >   (top . 73) (left . 800) (buried-buffer-list)
 >   ^^^^^^^^^^ ^^^^^^^^^^^^
 >   (buffer-list #<buffer *scratch*> #<buffer  *Minibuf-1*>)
 >   (unsplittable) ...)
 >
 > And that new frame is indeed about 73 pixels from the top screen edge,
 > and about 800 pixels from the left screen edge.
 >
 > What am I missing?  The Elisp manual, node `Position Parameters' seems
 > to say that `top' is just like `left'.  The resulting `left' value is
 > exactly what was prescribed to `make-frame', but the resulting `top'
 > value is 73 instead of the prescribed 600.
 >
 > But I see about the same behavior in Emacs 23 and 22, so this is
 > apparently not new.  Am I misunderstanding the doc description?
 >
 > FWIW, Emacs 20 behaves just like the doc says (as I understand it): the
 > resulting `top' value is exactly what you provide to `make-frame', and
 > the frame is actually positioned with its top at that position (not at
 > a top location that is ~10x smaller).

Due to this change:

2006-06-30  Ralf Angeli  <angeli@HIDDEN>

	* w32term.c (x_make_frame_visible): Use SystemParametersInfo with
	SPI_GETWORKAREA to find the dimensions of the screen work area,
	and adjust vertical position of the frame in order to avoid being
	covered by the taskbar.

See the thread starting at

https://lists.gnu.org/archive/html/emacs-pretest-bug/2006-06/msg00142.html

for the corresponding discussion.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Jul 2016 04:49:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 27 00:49:39 2016
Received: from localhost ([127.0.0.1]:38592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bSGmp-0003ir-8J
	for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 00:49:39 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1bSGmm-0003id-Cs
 for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 00:49:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1bSGmg-0001gT-AF
 for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 00:49:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.8 required=5.0 tests=BAYES_50,XPRIO
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53384)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1bSGmg-0001gE-7A
 for submit <at> debbugs.gnu.org; Wed, 27 Jul 2016 00:49:30 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47387)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1bSGmd-0005Co-VL
 for bug-gnu-emacs@HIDDEN; Wed, 27 Jul 2016 00:49:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1bSGmZ-0001e2-OY
 for bug-gnu-emacs@HIDDEN; Wed, 27 Jul 2016 00:49:26 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:25260)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1bSGmZ-0001as-Er
 for bug-gnu-emacs@HIDDEN; Wed, 27 Jul 2016 00:49:23 -0400
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u6R4nKfL023626
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Wed, 27 Jul 2016 04:49:21 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserv0022.oracle.com (8.13.8/8.13.8) with ESMTP id u6R4nKqP004827
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Wed, 27 Jul 2016 04:49:20 GMT
Received: from abhmp0013.oracle.com (abhmp0013.oracle.com [141.146.116.19])
 by aserv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u6R4nHf5013176
 for <bug-gnu-emacs@HIDDEN>; Wed, 27 Jul 2016 04:49:18 GMT
MIME-Version: 1.0
Message-ID: <0bfd2e8d-9d9b-4737-a637-5175eaaf41c0@default>
Date: Tue, 26 Jul 2016 21:49:16 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.1.50; `make-frame' given `top' param creates frame with ~10x
 smaller `top'
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0022.oracle.com [141.146.126.234]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

emacs -Q

In *scratch*, type and evaluate:

(make-frame '((name . "AAA")
              (left . 800) (top . 600)
              (user-position . t)))

In the new frame, do `M-: (frame-parameters)'.  You see something like
this:

((tool-bar-position . top) (parent-id) (explicit-name . t)
 (display . "w32") (visibility . t) (icon-name) (window-id . "265868")
 (top . 73) (left . 800) (buried-buffer-list)
 ^^^^^^^^^^ ^^^^^^^^^^^^
 (buffer-list #<buffer *scratch*> #<buffer  *Minibuf-1*>)
 (unsplittable) ...)

And that new frame is indeed about 73 pixels from the top screen edge,
and about 800 pixels from the left screen edge.

What am I missing?  The Elisp manual, node `Position Parameters' seems
to say that `top' is just like `left'.  The resulting `left' value is
exactly what was prescribed to `make-frame', but the resulting `top'
value is 73 instead of the prescribed 600.

But I see about the same behavior in Emacs 23 and 22, so this is
apparently not new.  Am I misunderstanding the doc description?

FWIW, Emacs 20 behaves just like the doc says (as I understand it): the
resulting `top' value is exactly what you provide to `make-frame', and
the frame is actually positioned with its top at that position (not at
a top location that is ~10x smaller).


In GNU Emacs 25.1.50.1 (i686-pc-mingw32)
 of 2015-12-10
Repository revision: 6148555ee5a3d0139ae517803718b3e0357933c7
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Configured using:
 'configure --prefix=3D/c/Devel/emacs/snapshot/trunk --enable-checking=3Dye=
s
 --enable-check-lisp-object-type --without-compress-install 'CFLAGS=3D-Og
 -ggdb3' LDFLAGS=3D-Lc:/Devel/emacs/lib 'CPPFLAGS=3D-DGC_MCHECK=3D1
 -Ic:/Devel/emacs/include''




Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24085; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.